Bug 89835 - New ports: databases/p5-DBD-Mock and www/p5-CGI-Application-Plugin-DBH
Summary: New ports: databases/p5-DBD-Mock and www/p5-CGI-Application-Plugin-DBH
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-02 12:20 UTC by espen
Modified: 2005-12-08 10:09 UTC (History)
0 users

See Also:


Attachments
file.shar (2.53 KB, text/plain)
2005-12-02 12:20 UTC, espen
no flags Details
file.shar (3.13 KB, text/plain)
2005-12-02 12:20 UTC, espen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description espen 2005-12-02 12:20:02 UTC
The DBD::Mock perl module is a simple mock DBD implementation used for testing.
It's entirely self-contained so that you can extract the single library file
(DBD/Mock.pm), put it in your own distribution and be able to run DBI-based
tests even though you don't have information about a database.

WWW: http://search.cpan.org/dist/DBD-Mock/


CGI::Application::Plugin::DBH adds easy access to a DBI database handle to your
CGI::Application modules. Lazy loading is used to prevent a database connection
from being made if the dbh method is not called during the request. In other
words, the database connection is not created until it is actually needed.

WWW: http://search.cpan.org/dist/CGI-Application-Plugin-DBH/
Comment 1 Emanuel Haupt freebsd_committer 2005-12-02 14:43:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2005-12-04 11:42:28 UTC
Could you please:

- test both ports on FreeBSD 4.x
- run portlint -A (devel/portlint) for both ports and correct the fatal
  warnings
- please add a $FreeBSD$ tag and
- add the correct date abbreviation to the Makefile header

-- 
GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 3 Emanuel Haupt freebsd_committer 2005-12-04 11:42:45 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Emanuel Haupt freebsd_committer 2005-12-08 10:09:36 UTC
State Changed
From-To: feedback->closed

New ports added, thanks!